log("Initializing Chain Action Data.")

data:extend({
    {
		type = "selection-tool",
		name = "chain-action-decon-tool",
		show_in_library = false,
		icon = "__chain-action__/graphics/chain-action-decon32.png",
		flags = {"hidden", "only-in-cursor"},
		subgroup = "tool",
		order = "c[automated-construction]-b[tree-deconstructor]",
		stack_size = 1,
		icon_size = 32,
		selection_color = { r = 0.6, g = 0.6, b = 0 },
		alt_selection_color = { r = 0, g = 0, b = 1 },
		selection_mode = {"blueprint", "buildable-type"},
		alt_selection_mode = {"blueprint", "buildable-type"},
		selection_cursor_box_type = "entity",
		alt_selection_cursor_box_type = "not-allowed",
	},
    {
        type = "custom-input",
        name = "chain-action-decon",
		localised_name = {"", {"chain-action-decon"}},
        key_sequence = "CONTROL + ALT + D",
        consuming = "none"
    },
    {
		type = "selection-tool",
		name = "chain-action-upgrade-tool",
		show_in_library = false,
		icon = "__chain-action__/graphics/chain-action-upgrade32.png",
		flags = {"hidden", "only-in-cursor"},
		subgroup = "tool",
		order = "c[automated-construction]-b[tree-deconstructor]",
		stack_size = 1,
		icon_size = 32,
		selection_color = { r = 0.6, g = 0.6, b = 0 },
		alt_selection_color = { r = 0, g = 0, b = 1 },
		selection_mode = {"blueprint", "buildable-type"},
		alt_selection_mode = {"blueprint", "buildable-type"},
		selection_cursor_box_type = "entity",
		alt_selection_cursor_box_type = "not-allowed",
	},
    {
        type = "custom-input",
        name = "chain-action-upgrade",
		localised_name = {"", {"chain-action-upgrade"}},
        key_sequence = "CONTROL + ALT + U",
        consuming = "none"
    }
})

--require("chain")
